%define	name	dmidecode
%define	version	2.8
%define	release	%mkrel 1

Summary:	Tool for dumping a computer's DMI table contents
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.nongnu.org/dmidecode/download/%{name}-%{version}.tar.bz2
URL:		http://www.nongnu.org/dmidecode/
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper
Conflicts:	drakxtools-backend <= 10.3-0.64mdk

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format. This table contains a description of the
system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision. Part of its code can be found in
the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor. Thus, dmidecode is mainly
used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%setup -q

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} prefix=%{_prefix} mandir=%{_mandir}
rm -rf $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE AUTHORS CHANGELOG
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Mon Feb 27 2006 Erwan Velu <velu@seanodes.com> 2.8-1mdk 
- 2.8

* Fri Jan 20 2006 Pixel <pixel@mandriva.com> 2.7-2mdk
- output format has changed in 2.7, so conflict with MDV2006 drakxtools which doesn't parse it correctly

* Fri Oct 20 2005 Erwan Velu <velu@seanodes.com> 2.7-1mdk 
- 2.7
* Mon Mar 14 2005 Erwan Velu <velu@seanodes.com> 2.6-1mdk 
- 2.6
* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5-1mdk
- 2.5
- drop P0, override parameter in stead
- no bz2 ending in %%files for man pages
 
* Fri May 07 2004 Erwan Velu <erwan@mandrakesoft.com> 2.4-1mdk 
- new release 2.4
- moving man pages in %{_mandir}

* Fri May 07 2004 Michael Scherer <misc@mandrake.org> 2.3-3mdk 
- use macro
- do not own /usr/sbin/

* Fri Jan  9 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.3-2mdk
- rename spec file
- removed lm_sensors stuff

* Wed Jan  7 2004 Warly <warly@mandrakesoft.com> 2.3-1mdk
- new package
